TreeDriver
Date: 2016-07-03

com.icl.saxon

## Class TreeDriver

- java.lang.Object
- - com.icl.saxon.DOMDriver
  - - com.icl.saxon.TreeDriver

- All Implemented Interfaces:
    org.xml.sax.Locator, org.xml.sax.XMLReader

      public class TreeDriver
      extends DOMDriver

  TreeDriver.java: (pseudo-)SAX driver for Saxon trees.
  Subclasses DOMDriver for the case where the tree is a Saxon tree (a DocumentInfo) This class simulates the action of a SAX Parser, taking an already-constructed DOM Document and walking around it in a depth-first traversal, calling a SAX-compliant ContentHandler to process the children as it does so.

- - ### Field Summary

    - ### Fields inherited from class com.icl.saxon.DOMDriver

      `contentHandler, root, systemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeDriver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse()` Walk a document (traversing the nodes depth first)
    `void` | `setDocument(org.w3c.dom.Document doc)` Set the DOM Document that will be walked

    - ### Methods inherited from class com.icl.saxon.DOMDriver

      `getColumnNumber, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLineNumber, getProperty, getPublicId, getSystemId, parse, parse, setContentHandler, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLocale, setProperty, setStartNode, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeDriver

          public TreeDriver()

  - ### Method Detail

    - #### setDocument

          public void setDocument(org.w3c.dom.Document doc)

      Set the DOM Document that will be walked

    - #### parse

          public void parse()
                     throws org.xml.sax.SAXException

      Walk a document (traversing the nodes depth first)
      Overrides:
        `parse` in class `DOMDriver`
      Parameters:
        `doc` - The (DOM) Document object to walk.
      Throws:
        `org.xml.sax.SAXException` - On any error in the document